> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vidgo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling 3.0 动作控制

> 参考图 + 参考视频动作迁移

> [!TIP]
>
> 1. 提交后会返回 `task_id`。如果提供了 `callback_url`，当任务状态变为 `finished` 或 `failed` 时，系统会向 `callback_url` 发送 POST 请求。
> 2. 无论是否提供 `callback_url`，都可以通过统一的[查询任务状态](https://docs.vidgo.ai/zh/api-manual/task-management/status.md)接口获取结果。

`kling-3.0-motion-control` 结合一张参考图和一段参考视频，将动作迁移到目标角色上。

## 模型

* **kling-3.0-motion-control** - 将参考视频中的动作迁移到参考图上

## 必填参数

* **image\_urls**：恰好 `1` 张参考图
* **video\_urls**：恰好 `1` 段参考视频
* **character\_orientation**：`image` 或 `video`

## 可选参数

* **prompt**：可选的场景提示词
* **resolution**：`720p` 或 `1080p`。默认为 `720p`

## 工作流程 ID

现有 ID 仍可继续使用。新接入可以选择专用的工作流程：

* [kwaivgi/kling-v3.0-std/motion-control](https://docs.vidgo.ai/zh/api-manual/video-series/kwaivgi-kling-v3-0-std-motion-control.md)
* [kwaivgi/kling-v3.0-pro/motion-control](https://docs.vidgo.ai/zh/api-manual/video-series/kwaivgi-kling-v3-0-pro-motion-control.md)

## 注意事项

* 图片支持 `.jpg`、`.jpeg`、`.png`，最大 `10MB`
* 视频支持 `.mp4`、`.mov`，最大 `100MB`
* 参考视频至少 `3` 秒
* `character_orientation=image` 时，参考视频不得超过 `10` 秒
* `character_orientation=video` 时，参考视频不得超过 `30` 秒


## OpenAPI

````yaml zh/api-manual/video-series/kling-3-0-motion-control.json POST /api/generate/submit
openapi: 3.0.0
info:
  title: Vidgo API - Kling 3.0 动作控制 API
  description: 参考图 + 参考视频动作迁移
  version: 1.0.0
servers:
  - url: https://api.vidgo.ai
    description: 生产环境
security:
  - BearerAuth: []
paths:
  /api/generate/submit:
    post:
      tags:
        - Kling 3.0 Motion Control
      summary: 提交 Kling 3.0 动作控制任务
      description: 将参考视频中的动作迁移到参考图上
      operationId: submitKling30MotionControlTask
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitRequest'
            examples:
              kling-3-0-motion-control:
                summary: Kling 3.0 动作控制
                value:
                  model: kling-3.0-motion-control
                  callback_url: https://your-domain.com/callback
                  input:
                    image_urls:
                      - >-
                        https://cdn.vidgo.ai/temp/kling-3.0-motion-control/reference-image-new.png
                    video_urls:
                      - >-
                        https://cdn.vidgo.ai/temp/kling-3.0-motion-control/reference-video-new.mp4
                    character_orientation: image
                    resolution: 720p
      responses:
        '200':
          description: 任务提交成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitResponse'
components:
  schemas:
    SubmitRequest:
      type: object
      required:
        - model
        - input
      properties:
        model:
          type: string
          example: kling-3.0-motion-control
        callback_url:
          type: string
          format: uri
          description: 接收结果通知的 Webhook 回调 URL
          example: https://your-domain.com/callback
        input:
          type: object
          required:
            - image_urls
            - video_urls
            - character_orientation
          properties:
            prompt:
              type: string
              description: 可选的场景细节提示词
              example: Keep the character movement smooth and natural
            image_urls:
              type: array
              items:
                type: string
                format: uri
              minItems: 1
              maxItems: 1
              description: 参考图 URL 数组。仅支持一张图片。支持 JPG、JPEG、PNG，最大 10MB
              example:
                - >-
                  https://cdn.vidgo.ai/temp/kling-3.0-motion-control/reference-image-new.png
            video_urls:
              type: array
              items:
                type: string
                format: uri
              minItems: 1
              maxItems: 1
              description: 参考视频 URL 数组。仅支持一个视频。支持 MP4、MOV，最大 100MB
              example:
                - >-
                  https://cdn.vidgo.ai/temp/kling-3.0-motion-control/reference-video-new.mp4
            character_orientation:
              type: string
              description: 角色朝向模式
              enum:
                - image
                - video
              example: image
            resolution:
              type: string
              description: 输出分辨率
              enum:
                - 720p
                - 1080p
              default: 720p
              example: 720p
    SubmitResponse:
      type: object
      required:
        - code
        - data
      properties:
        code:
          type: integer
          example: 200
        data:
          type: object
          required:
            - task_id
            - status
            - created_time
          properties:
            task_id:
              type: string
              example: task-unified-1757165031-uyujaw3d
            status:
              type: string
              enum:
                - not_started
              example: not_started
            created_time:
              type: string
              format: date-time
              example: '2025-11-12T10:30:00'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        所有 API 接口都需要 Bearer Token 认证


        获取 API Key：


        进入 **仪表盘 → API 密钥**（[API Key
        管理页面](https://vidgo.ai/apis/dashboard/api-key)）获取 API Key


        在请求头中添加：


        ```

        Authorization: Bearer VIDGO_API_KEY

        ```

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.